import { LitElement } from 'lit';
/**
 * @element uui-form-layout-item
 * @description - Form item composes label, input and validation-messages in a proper layout.
 * @slot - for button contents
 * @slot message - for extras in the messages container
 * @slot description - for extras in the description container
 * @slot label - for label contents
 */
export declare class UUIFormLayoutItemElement extends LitElement {
    description: string | null;
    connectedCallback(): void;
    private _labelSlotHasContent;
    private _labelSlotChanged;
    private _descriptionSlotHasContent;
    private _descriptionSlotChanged;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-form-layout-item': UUIFormLayoutItemElement;
    }
}
